*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

/* Foglihten — заголовки */
@font-face {
  font-family: "Foglihten";
  src: url("assets/fonts/Foglihten.otf") format("opentype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

/* Manrope — основной текст */
@font-face {
  font-family: "Manrope";
  src: url("assets/fonts/Manrope.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

html, body {
  height: 100%;
  background: linear-gradient(90deg, #BB9D7E 15%, #F1D8B2 70%, #BB9D7E 100%);
}

html {
  scroll-behavior: smooth;
}


body {
  font-family: 'YourSecondaryFont', serif; /* ← основной текст */
  background-color: #1c2426;
  color: #FAAB61;
  line-height: 1.5;
  font-family: "Manrope", sans-serif;
  font-weight: 400;
  cursor: url("assets/images/icons/nook.png") 16 16, auto;

}

img {
  max-width: 100%;
  /* display: block; */
}

a {
  text-decoration: none;
  color: inherit;
  cursor: url("assets/images/icons/ok.png") 16 16, pointer;
}

button {
  font-family: inherit;
  border: none;
  cursor: pointer;
  background: none;
}

.container {
  max-width: 1240px; /* ← ширина контента */
  margin: 0 auto;
  /* padding: 100px; */
}

/* Отступы между секциями */
section {
  /* padding-top: 120px; 
  padding-bottom: 120px; */
}

.header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 10;
}

.header__inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 24px 100px 100px 100px;
}

.logo {
  font-family: 'Foglihten', serif;
  font-size: 22px;
  letter-spacing: 0.04em;
}

.nav {
  margin-left: auto;
  margin-right: 40px;
}

.nav a {
  font-size: 18px;
  opacity: 0.8;
  text-decoration: none;
  transition: color 0.3s ease;
}

.nav a:hover {
  color: #e6954f;
}


.btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 2;
  height: 48px;        
  padding: 0 24px;      

  font-size: 18px;    
  border-radius: 8px;
  cursor: url("assets/images/icons/ok.png") 16 16, pointer;

}

.btn--primary {
  background-color: #FAAB61;
  color: #1a1a1a;
  transition: all 0.3s ease;
}

.btn--secondary {
  background-color: transparent;
  border: 1px solid #f2a65a;
  color: #f2a65a;
}

.btn--primary:hover {
  background-color: #e6954f;
  box-shadow: 0 8px 20px rgba(0,0,0,0.3);
  transform: translateY(-2px);
}

.btn__icon {
    margin-left: 8px;
}

.btn--with-icon {
  width: 290px;
}

.btn--color {
  background-color: #33272E;
  color: #FAAB61;
  font-size: 22px;
  width: 335px;
  height: 70px;
  transition: all 0.3s ease;
}

.btn--color:hover {
  background-color: #211b1f;
}

.hero {
  position: relative;
  min-height: 100vh;
  background: url('assets/images/hero/hero1.png') center / cover no-repeat;
}

.hero__content {
  padding: 30vh 100px 100px;
}

.hero h1 {
  font-family: 'Foglihten', serif;
  font-size: 45px;     /* ← H1 */
  line-height: 1.1;
  margin-bottom: 24px;
  max-width: 600px;

  font-family: "Foglihten", serif;
  font-weight: 400;
  letter-spacing: 0.02em;
}

.hero__subtitle {
  font-size: 22px;     /* ← подзаголовок */
  opacity: 0.9;
  margin-bottom: 32px;
  max-width: 484px;
}


.about {
  background-color: #e6d3b3;
  color: #1a1a1a;
  background: linear-gradient(90deg, #BB9D7E 15%, #F1D8B2 70%, #BB9D7E 100%);
  position: relative;
}

.about__content {
  padding: 60px 100px 0px 100px;
}

.about__title {
  font-family: 'Foglihten', serif;
  font-size: 30px;
  text-align: center;
  margin-bottom: 24px;
  position: relative;
  /* display: inline-block; */
}

.about__title::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: 5px;
  transform: translateX(-50%);
  width: 40%;
  height: 2px;
  background-color: #4F3A3E;
  opacity: 0.5;
}

.about__intro {
  max-width: 720px;
  margin: 0 auto 64px;
  text-align: center;
  font-size: 16px;
}

.about__intro span {
  font-family: 'Foglihten', serif;
  font-size: 22px;
}

.about__grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 48px; /* ← расстояние между картинкой и текстом */
  justify-items: center;
  align-items: center;
}

.about__image img {
  border-radius: 10px;
  position: relative;
  z-index: 2;
}

.about__text {
  display: flex;
  flex-direction: column;
  gap: 24px;
  justify-content: flex-start;
}

.about__text h3 {
  font-family: 'Foglihten', serif;
  font-size: 27px;
}

.about__decor {
  margin-top: 26px;
}

.how {
  background: url('assets/images/hero/cards.png') center / cover no-repeat;
}

.how__content {
  padding: 160px 100px;
}

.how h2 {
  color: #FBAB61;
  font-family: 'Foglihten', serif;
  font-size: 30px;
  margin-bottom: 50px;
}

.cards {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 24px;
  position: relative;
  z-index: 2;
}

.card {
  background: linear-gradient(180deg, #5a0f1c, #2a0e13);
  padding: 24px;
  min-height: 220px;
}

.cards > .card:nth-child(2) {
  background: linear-gradient(180deg, #281818, #2a0e13);
}

.card__top {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
  margin-bottom: 12px;
}

.card__number {
  font-size: 14px;
  opacity: 0.6;
}

.card h4 {
  font-family: 'Foglihten', serif;
  font-size: 18px;
  margin: 0;
}

.card p {
  font-size: 14px;
  color: #ffffff;
  opacity: 0.9;
}


.features {
  color: #1a1a1a;
}

.features__content {
  padding: 100px 100px;
}

.features__content h2 {
  font-family: 'Foglihten', serif;
  font-size: 30px;
  margin-bottom: 50px;
}

.features__grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 48px;
  align-items: end;
  justify-items: center;
}

.feature {
  text-align: center;
}

.feature img {
  width: 150px; /* ← размер иконки */
  margin: 0 auto 16px;
}

.feature p {
  font-size: 16px;
  max-width: 170px;
}


.cta {
  color: #1a1a1a;
  text-align: center;
}

.cta__content {
  padding: 50px 100px 100px 100px;
}

.cta h2 {
  font-family: 'Foglihten', serif;
  font-size: 40px;
  margin-bottom: 24px;
}

.cta__note {
  display: block;
  margin-top: 4px;
  font-size: 10px;
  opacity: 0.7;
}

.footer {
  background: url('assets/images/hero/foo.png') top center no-repeat;
  background-size: 4318px auto;
  font-size: 14px;
  position: relative;
  z-index: 2;
}


.footer__grid {
  display: grid;
  justify-items: center;
  align-items: center;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
  position: relative;
  padding: 80px 100px;
  color: white;
}

.footer__col strong {
  font-family: 'Foglihten', serif;
  font-size: 26px;
}

.footer__col > *:first-child {
  margin-bottom: 12px;
}

.footer__col a {
  display: block;
  transition: color 0.3s ease;
}

.footer__col a:hover {
  color: #FBAB61;
}

.footer__seal {
  position: absolute;
  width: 300px;
  overflow: hidden;
  top: -140px;
  right: 0;
  transform: translateX(40%);
  z-index: 2;
}

#snow {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 1;
}





/* ===== Privacy Page ===== */

.privacy {
  min-height: 100vh;
  padding: 120px 20px 80px;
  background-color: #1c2426;
}

.privacy__content {
  max-width: 800px;
  margin: 0 auto;
}

.privacy h1 {
  font-family: 'Foglihten', serif;
  font-size: 32px;
  margin-bottom: 32px;
  text-align: center;
}

.privacy h2 {
  font-size: 20px;
  margin-top: 40px;
  margin-bottom: 16px;
}

.privacy p {
  margin-bottom: 16px;
  line-height: 1.6;
  color: #ffffff;
}

.privacy ul {
  margin-bottom: 24px;
  padding-left: 20px;
  color: #ffffff;
}

.privacy li {
  margin-bottom: 8px;
}







/* АДАПТИВ */

@media (max-width: 1481px) {
  .footer__seal {
    display: none;
  }
}

@media (max-width: 1024px) {

  .header__inner {
    padding: 24px 40px 60px;
  }

  .hero__content {
    padding: 200px 40px 80px;
  }

  .about__content,
  .how__content,
  .features__content,
  .cta__content,
  .footer__grid {
    padding-left: 40px;
    padding-right: 40px;
  }

  .about__grid {
    grid-template-columns: 1fr;
    gap: 32px;
  }

  .about__image img {
    max-width: 80%;
  }

  .about__decor {
    display: none;
  }

  .cards {
    grid-template-columns: repeat(2, 1fr);
  }

  .card {
    min-height: 130px;
  }

}


@media (max-width: 768px) {

  /* ===== HEADER ===== */

  .header__inner {
    flex-direction: row;
    gap: 16px;
    padding: 20px;
  }

  .logo {
    font-size: 18px;
  }

  .header a {
    height: 42px;
    padding: 0 20px;
    font-size: 16px;
  }

  .nav a {
    display: none;
  }

  .about__title::after {
    opacity: 0;
  }

  /* ===== HERO ===== */

  .hero__content {
    padding: 160px 20px 60px;
  }

  .hero h1 {
    font-size: 26px;
    max-width: 400px;
  }

  .hero__subtitle {
    font-size: 16px;
  }

  .about__content {
    padding: 40px 20px;
  }

  .about__intro {
    margin-bottom: 40px;
  }

  /* ===== SECTIONS ===== */
  .features__content,
  .cta__content {
    padding: 60px 20px;
  }

  .how {
    background-size: 2300px auto;
  }

  .how__content{
    padding-bottom: 125px;
    padding-top: 110px;
  }

  .about__content{
    padding-left: 30px;
  }

  .about__title {
    font-size: 24px;
    margin-bottom: 18px;
  }

  .about__image img {
    max-width: 100%;
  }

  .about__grid {
    grid-template-columns: 1fr 1fr;
  }

  .about__text h3 {
    font-size: 22px;
 }
  /* ===== CARDS ===== */

  .how h2 {
    font-size: 24px;
    margin-bottom: 28px;
 }

  /* ===== FEATURES ===== */

  .features__grid {
    grid-template-columns: 1fr;
    gap: 32px;
  }

  .features__content h2 {
    font-size: 24px;
    margin-bottom: 28px;
 }

  .features__grid {
    grid-template-columns: 1fr 1fr 1fr;
    gap: 24px;
 }

 .feature img {
    width: 100px;
    margin: 0 auto 8px;
}

  /* ===== CTA ===== */

  .cta h2 {
    font-size: 24px;
  }

  .btn--color {
    height: 56px;
    font-size: 18px;
  }

  /* ===== FOOTER ===== */

  .footer__grid {
    grid-template-columns: 1fr 1fr;
    text-align: center;
    padding: 60px 20px;
    gap: 24px;
  }

  .footer__col strong {
    font-size: 20px;
  }

  .footer__col > *:first-child {
    margin-bottom: 4px;
  }

  .footer__grid {
    padding-bottom: 40px;
  }

}

@media (max-width: 650px) {

  .about__grid {
    grid-template-columns: 1fr;
  }

  .about__text {
    gap: 18px;
    align-items: center;
}

  .about__text a {
      width: 100%;
  }

  .card h4 {
      font-size: 16px;
  }

  .card__number {
    font-size: 12px;
 }

 .features__content {
  padding: 20px 20px;
 }

 .cta h2 {
    margin-bottom: 14px;
  }

}

@media (max-width: 480px) {

  .header a {
    display: none;
  }

  .hero h1 {
    font-size: 22px;
  }

  .hero__subtitle {
    font-size: 14px;
  }

  .btn {
    font-size: 14px;
  }

  .about__title,
  .how h2,
  .features__content h2 {
    font-size: 20px;
  }

  .about__intro {
    font-size: 14px;
  }

 .about__intro span {
    font-size: 16px;
  }

  .about__text h3 {
    font-size: 18px;
  }

  .about__text p {
    font-size: 14px;
  }

  .hero__content a {
    width: 240px;
  }

  .btn__icon {
    width: 24px;  
    margin-left: 10px;
  }

  .how {
    background-size: 2600px auto;
  }

  .card {
    padding: 15px;
  }

  .card h4 {
    font-size: 14px;
  }

  .card__number {
    display: none;
  }

  .card p {
    font-size: 12px;
  }

  .features__grid {
    gap: 5px;
  }

  .feature img {
    width: 75px;
  }

  .feature p {
    font-size: 14px;
    max-width: 110px;
  }

  .cta h2 {
    font-size: 22px;
  }

  .btn--color {
    font-size: 16px;
  }

  .footer {
    font-size: 12px;
  }

  .footer::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -10px;
    width: 100%;
    height: 110px;
    background: #343735;
    z-index: -1;
  }

  .footer__col strong {
    font-size: 18px;
  }

}

@media (max-width: 400px) {
  .logo {
    font-size: 16px;
  }

  .hero h1 {
    font-size: 18px;
    max-width: 240px;
  }

  .hero__subtitle {      
    max-width: 300px;
  }

  .hero__content a {
    width: 210px;
  }

  .btn__icon {
    width: 20px;
    margin-left: 8px;
  }
  
  .btn {
   height: 40px;
   padding: 0 14px;
  }

  .about__title,
  .how h2,
  .features__content h2 {
    font-size: 16px;
  }

  .about__title,
  .about__intro {
    text-align: left;
  }
  
  .about__intro span {
    font-size: 14px;
  }

  .about__text h3 { 
    font-size: 14px;
  }

  .how {
    background: url(assets/images/hero/cards480.png) center / cover no-repeat;
    
  }

  .how__content {
    padding-bottom: 60px;
    padding-top: 60px;
  }

  .cards {
    grid-template-columns: 1fr;
  }

  .features__grid {
    gap: 24px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: baseline;
  }

  .features__content {
    padding: 40px 20px;
  }

  .feature img {
    width: 100px;
  }

  .feature p {
    font-size: 14px;
    max-width: 140px;
  }

  .cta__content {
    padding: 30px 20px;
  }

  .cta h2 {
    font-size: 18px;
  }

  .btn--color {
    font-size: 14px;
    max-width: 240px;
  }

  .footer__grid {
    display: flex;     
    flex-direction: column;
    justify-content: space-between;
  }

}